<script lang="ts">
import Vue from 'vue';
import { MrktoForm } from '../common/index.vue';
import { QuotesCarousel } from '../home/index.vue';

export default Vue.extend({
  name: 'SalesForm',
  components: { QuotesCarousel, MrktoForm },
  props: {
    data: {
      type: Object,
      required: true,
    },
  },
});
</script>

<template>
  <section class="sales-form slp-mb-md-96">
    <SlpContainer>
      <SlpRow class="sales-form__row">
        <SlpColumn :cols="6" class="slp-pr-md-64">
          <div
            v-if="data.card"
            class="sales-form__card"
            data-aos="fade-up"
            data-aos-duration="750"
          >
            <SlpTypography class="slp-mb-24" tag="h5" variant="heading4-bold"
              >{{ data.card.title }}
            </SlpTypography>
            <SlpTypography class="slp-mb-24" tag="p" variant="body1"
              >{{ data.card.description }}
            </SlpTypography>
            <SlpButton
              v-if="data.card.link"
              class="sales-form__card_link"
              :href="data.card.link.href"
              :data-ga-name="data.card.link.ga_name"
              :data-ga-location="data.card.link.ga_location"
              variant="tertiary"
            >
              {{ data.card.link.text }}
              <SlpIcon
                class="slp-ml-8"
                name="chevron-lg-right"
                variant="product"
                alt="Chevron Right Icon"
              />
            </SlpButton>
          </div>
          <QuotesCarousel
            :data="data.quotes_carousel"
            class="sales-form__carousel"
            data-aos="fade-up"
            data-aos-duration="750"
          />
        </SlpColumn>
        <SlpColumn
          :cols="6"
          class="sales-form__form-column slp-pl-md-64"
          data-aos="fade-up"
          data-aos-duration="750"
          ><MrktoForm :data="data.form" />
        </SlpColumn>
      </SlpRow>
    </SlpContainer>
  </section>
</template>

<style lang="scss" scoped>
.sales-form {
  &__row {
    flex-direction: column-reverse;

    @media (min-width: $breakpoint-md) {
      flex-direction: row;
    }
  }

  &__card {
    padding: $spacing-32;
    background: $color-surface-800;
    border-radius: 16px;
  }

  &__card_link {
    padding-left: 0;
  }

  &__carousel {
    margin-top: $spacing-64 !important;
  }

  &__form-column {
    margin-top: calc(($spacing-96 + $spacing-48) * -1);
  }
}
</style>
